# Record Class Instruction.Static

java.lang.Object
java.lang.Record
com.google.adk.agents.Instruction.Static

All Implemented Interfaces:
  `Instruction`

Enclosing interface:
  `Instruction`

public static record Instruction.Static(String instruction) extends Record implements Instruction
Plain instruction directly provided to the agent.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Instruction

  `Instruction.Provider, Instruction.Static`
  Modifier and Type
  Interface
  Description
  `static final record`
  `Instruction.Provider`
  Returns an instruction dynamically constructed from the given context.
  `static final record`
  `Instruction.Static`
  Plain instruction directly provided to the agent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Static(String instruction)`
  Creates an instance of a `Static` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `instruction()`
  Returns the value of the `instruction` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Static

    public Static(String instruction)
    Creates an instance of a `Static` record class.
    Parameters:
      `instruction` - the value for the `instruction` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instruction

    public String instruction()
    Returns the value of the `instruction` record component.
    Returns:
      the value of the `instruction` record component